import java.io.*;
//import Numeric;
//import Text;


class fxa_test
{
  public static void main(String args[]) throws IOException
  {
  DataInputStream cin=new DataInputStream(System.in);
  System.out.println("name of input file : ");
  String in_name=Text.readString(cin);
  System.out.println(in_name);
  double a[];
  a=new double[6];
  a[0] = 1.656333e+03;
  a[1] = -2.480583e+06;
  a[2] = 1.792522e+01;
  a[3] = -8.868380e-02;
  a[4] = 4.617861e+02;
  a[5] = 1.666667e+03;
  yy ff=new yy(in_name,a);
  System.out.println("least square error : "+ff.f2());
  }
}
